Subject: bug#75604: closed (Re: bug#75604: bootstrap ignores --copy option)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Jan 2025 15:16:02 +0000

Your bug report

#75604: bootstrap ignores --copy option

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75604: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75604
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75604: bootstrap ignores --copy option
From: Pádraig Brady <[email-masked]>
To: Bruno Haible <[email-masked]>, [email-masked]
Date: Thu, 16 Jan 2025 15:15:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 16/01/2025 14:48, Bruno Haible via GNU coreutils Bug Reports wrote:
> Hi,
> 
> I want to test a current coreutils from git with clang's UBSAN.
> For this, I need to apply a patch to lib/linebuffer.c and lib/mpsort.c
> locally.
> For this, it is not suitable if 'bootstrap' creates these files as
> symbolic links.
> So I run
> 
>    $ ./bootstrap --copy --no-git --gnulib-srcdir=$GNULIB_SRCDIR
> 
> But it *still* creates the symlinks, despite my explicit use of the
> '--copy' option.
> 
> This comes from bootstrap.conf line 349. It shouldn't pass the option
> '--symlink' to gnulib-tool when I passed the '--copy' option.

Right. Since --symlink is the default, we can just drop that I think.
I'll push the attached in a while.

Marking this as done.

cheers,
Pádraig

From 502e10b692a75cf588b2e84091402dd34bc53efa Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?P=C3=A1draig=20Brady?= <[email-masked]>
Date: Thu, 16 Jan 2025 15:09:35 +0000
Subject: [PATCH] build: support ./bootstrap --copy

* boostrap.conf: Don't specify the --symlink bootstrap option,
as that is the default behavior, and we don't want to override
a specified --copy option to bootstrap.
Fixes https://bugs.gnu.org/75604
---
 bootstrap.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bootstrap.conf b/bootstrap.conf
index 380fa1120..a8ff2eef0 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -346,7 +346,7 @@ XGETTEXT_OPTIONS=$XGETTEXT_OPTIONS'\\\
  --keyword=proper_name_lite:1,'"$see_manual"'\\\
 '
 
-gnulib_tool_option_extras="--tests-base=gnulib-tests --with-tests --symlink\
+gnulib_tool_option_extras="--tests-base=gnulib-tests --with-tests \
  --makefile-name=gnulib.mk --automake-subdir
 "
 
-- 
2.47.1

Subject: bootstrap ignores --copy option
From: Bruno Haible <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jan 2025 15:48:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I want to test a current coreutils from git with clang's UBSAN.
For this, I need to apply a patch to lib/linebuffer.c and lib/mpsort.c
locally.
For this, it is not suitable if 'bootstrap' creates these files as
symbolic links.
So I run

  $ ./bootstrap --copy --no-git --gnulib-srcdir=$GNULIB_SRCDIR

But it *still* creates the symlinks, despite my explicit use of the
'--copy' option.

This comes from bootstrap.conf line 349. It shouldn't pass the option
'--symlink' to gnulib-tool when I passed the '--copy' option.

Bruno